Installer - Bug #27113

satellite-installer shows yum transaction log for 'rh-mongodb34-syspaths’
06/24/2019 12:49 PM - Chris Roberts

Status: Closed
Priority: Normal
Assignee: Chris Roberts
Category: foreman-installer script
Target version: 1.23.0
Difficulty: easy Fixed in Releases: 1.23.0
Triaged: No Found in Releases: 1.22.0
Bugzilla link: 1706797 Red Hat JIRA:
Pull request: https://github.com/theforeman/foreman-i
nstaller/pull/367

Description
Description of problem:

satellite-installer shows yum transaction log for 'rh-mongodb34-syspaths'
Version-Release number of selected component (if applicable):

Satellite 6.6 snap 1

How reproducible:

Steps to Reproduce:

1. Install fresh Satellite.

2. Run Satellite-installer as below:

[root@qe-sat6-bm1 yum.repos.dj# satellite-installer --scenario satellite

Installing Done [0 L0 Y PRI

Success! * Satellite is running at https:/ge-sat6-bm1.lab.eng.rdu2.redhat.com

e To install an additional Capsule on separate machine continue by running:

capsule-certs-generate --foreman-proxy-fqdn "$SCAPSULE" --certs-tar "/root/$CAPSULE-certs.tar"

e To upgrade an existing 6.4 Capsule to 6.5:

Please see official documentation for steps and parameters to use when upgrading a 6.4 Capsule to 6.5.

The full log is at /var/log/foreman—-installer/satellite.log

yum install -y —-g rh-mongodb34-syspaths finished successfully! <=========
[root@ge-sat6-bml yum.repos.d]#

Actual results:

yum transaction log shows as => 'yum install -y -q rh-mongodb34-syspaths finished successfully!'

Expected results:

Yum transaction output should not show

Associated revisions

Revision 66a73322 - 06/27/2019 04:34 PM - Chris Roberts

Fixes #27113 - move syspath to correct order and supress output of yum
https://qe-sat6-bm1.lab.eng.rdu2.redhat.com

History

#1 - 06/24/2019 12:52 PM - The Foreman Bot
- Status changed from Assigned to Ready For Testing
- Pull request https://github.com/theforeman/foreman-installer/pull/367 added

#2 - 06/27/2019 04:34 PM - Ewoud Kohl van Wijngaarden
- Fixed in Releases 1.23.0 added

#3 - 06/27/2019 05:01 PM - Chris Roberts
- Status changed from Ready For Testing to Closed

Applied in changeset installer 733222 4f 2 f6.
